-- Example Application Premake File
-- (c) Cesys GmbH, Thomas Hoppe
solution "CeboMsrApiNet"
--  platforms { "x32", "x64" }
  configurations { "Debug", "Release" }
  language "C#"
  framework "4.0"
  links { "System" }
  debugdir "../runtime/"
  
  location ("build_" .. _ACTION)

  configuration "Debug"
	defines { "DEBUG;TRACE" } 
	flags { "Symbols" }	
	targetdir "bin/debug"
  configuration "Release" 
	defines { "TRACE" } 
	flags { "Optimize" }  
	targetdir "bin/release"
	
  project "CeboMsrApiNet" kind "SharedLib" files { "src/**.cs" } targetname "cebomsrnet-1.3" location ("build_" .. _ACTION)
  project "CounterExample" kind "ConsoleApp" files { "examples/CounterExample.cs", "examples/Properties/AssemblyInfo.cs" } links { "CeboMsrApiNet" } location ("build_" .. _ACTION)
  project "FrameIoExample" kind "ConsoleApp" files { "examples/FrameIoExample.cs", "examples/Properties/AssemblyInfo.cs" } links { "CeboMsrApiNet" } location ("build_" .. _ACTION)
  project "InfoExample" kind "ConsoleApp" files { "examples/InfoExample.cs", "examples/Properties/AssemblyInfo.cs" } links { "CeboMsrApiNet" } location ("build_" .. _ACTION)
  project "SingleIoExample" kind "ConsoleApp" files { "examples/SingleIoExample.cs", "examples/Properties/AssemblyInfo.cs" } links { "CeboMsrApiNet" } location ("build_" .. _ACTION)
  project "StreamingIExample" kind "ConsoleApp" files { "examples/StreamingIExample.cs", "examples/Properties/AssemblyInfo.cs" } links { "CeboMsrApiNet" } location ("build_" .. _ACTION)
  project "TriggerExample" kind "ConsoleApp" files { "examples/TriggerExample.cs", "examples/Properties/AssemblyInfo.cs" } links { "CeboMsrApiNet" } location ("build_" .. _ACTION)
